#
# spec file for package perl-PlRPC (Version 0.2018)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-Net-Daemon permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-PlRPC
BuildRequires:  perl-Net-Daemon
Version:        0.2018
Release:        13.2
Requires:       perl = %{perl_version}
Requires:       perl-Net-Daemon
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        Artistic License, GPL
URL:            http://cpan.org/modules/by-module/RPC/
Summary:        Perl extension for writing PlRPC servers
Source:         PlRPC-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PlRPC (Perl RPC) is a package for implementing servers and clients that
are written in Perl entirely. The name is borrowed from Sun's RPC
(Remote Procedure Call), but it could as well be RMI like Java's
"Remote Method Interface), because PlRPC gives you the complete power
of Perl's OO framework in a very simple manner.



Authors:
--------
    Jochen Wiedmann <jochen.wiedmann@freenet.de>

%debug_package
%prep
%setup -q -n PlRPC-%{version}

%build
perl Makefile.PL
make
rm t/client.t t/methods.t
make test

%install
%perl_make_install
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog README
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Bundle
%{perl_vendorlib}/RPC
%{perl_vendorarch}/auto/RPC
/var/adm/perl-modules/%{name}

%changelog -n perl-PlRPC
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jul 26 2005 - anicka@suse.cz
- initial version 0.2018
